#define _CRT_DISABLE_PERFCRIT_LOCKS
#define ll long long
#include <iostream>
#include <algorithm>
#include <cmath>
#include <vector>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    
    int brojS = 0, visina = 0, resenje = -1;
    bool end = false;
    vector<int> stal;

    cin >> brojS >> visina;
    for (int i = 0; i < brojS; i++)
    {
        int t;
        cin >> t;
        if (visina >= t && !end) 
        {
            resenje = i + 1;
            end = true;
        }
    }

    cout << resenje;
}